Read holding
curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/investment_holdings/{holding_guid} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/investment_holdings/{holding_guid}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}/investment_holdings/{holding_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"investment_holding": {
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"cost_basis": 827,
"coupon_yield": null,
"currency_code": "USD",
"current_price": 15,
"daily_change": 2.5,
"description": "Guggenheim Defensive Equity ETF",
"expiration": null,
"face_value": null,
"frequency": null,
"guid": "HOL-d65683e8-9eab-26bb-bcfd-ced159c9abe2",
"market_value": 989.5,
"maturity_date": null,
"percentage_change": 0.2,
"purchase_price": 26.3,
"quantity": "5000.0",
"rate": null,
"strike_price": null,
"symbol": "DEF",
"term": null,
"today_ugl_amount": 200,
"today_ugl_percentage": 0.27,
"total_ugl_amount": 20000,
"total_ugl_percentage": 26.67,
"unvested_quantity": null,
"unvested_value": null,
"user_guid": "USR-743e5d7f-1116-28fa-5de1-d3ba02e41d8d",
"vested_quantity": null,
"vested_value": null,
"created_at": "2015-04-13T18:01:23.000Z",
"current_price_as_of": "2023-11-06T00:00:00Z",
"issue_date": "2015-08-15",
"vesting_start_date": null,
"vesting_end_date": null,
"put_or_call": null,
"holding_type": "MUTUAL_FUND",
"term_unit": null
}
}Investment Holdings
Read holding
GET
/
users
/
{user_guid}
/
investment_holdings
/
{holding_guid}
Read holding
Use this endpoint to read the attributes of a specific
holding.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique id for a holding.
The unique identifier for a user, beginning with the prefix USR-.
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Example:
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
Example:
827
Example:
null
Example:
"USD"
Example:
15
Example:
2.5
Example:
"Guggenheim Defensive Equity ETF"
Example:
null
Example:
null
Example:
null
Example:
"HOL-d65683e8-9eab-26bb-bcfd-ced159c9abe2"
Example:
989.5
Example:
null
Example:
0.2
Example:
26.3
Example:
"5000.0"
Example:
null
Example:
null
Example:
"DEF"
Example:
null
Example:
200
Example:
0.27
Example:
20000
Example:
26.67
Example:
null
Example:
null
Example:
"USR-743e5d7f-1116-28fa-5de1-d3ba02e41d8d"
Example:
null
Example:
null
Example:
"2015-04-13T18:01:23.000Z"
Example:
"2023-11-06T00:00:00Z"
Example:
"2015-08-15"
Example:
null
Example:
null
Example:
null
Example:
"MUTUAL_FUND"
Example:
null
⌘I

